{ Обработка текста: Выделение слов из текста                               }
{--------------------------------------------------------------------------}
{ На входе - текст, на выходе - список слов                                }
{--------------------------------------------------------------------------}
const Alpha : set of char=['A'..'Z','А'..'П','Р'..'Я','a'..'z','а'..'п','р'..'я'];
var s,t:string;
    i:integer;
begin
     writeln('Введите текст'); readln(s);
     writeln('Список слов в тексте:');
     i:=1;
     Repeat
        while NOT(s[i] in Alpha) and (i<=length(s)) do inc(i);
        t:='';
        while (s[i] in Alpha) and (i<=length(s)) do begin
              t:=t+s[i];
              inc(i);
        end;
        if length(t)<>0 then writeln(t);
     Until (i>length(s));
end.
